Subject: bug#30406: closed (Re: [bug#30406] gnu: tome4: Add fix to getself.c.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Sep 2021 00:08:02 +0000

Your bug report

#30406: [PATCH 0/2] gnu: tome4: Add fix to getself.c.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30406: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30406
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30406] gnu: tome4: Add fix to getself.c.
From: Sarah Morgensen <[email-masked]>
To: Oleg Pykhalov <[email-masked]>
Cc: Gábor Boskovits <[email-masked]>, [email-masked]
Date: Sun, 12 Sep 2021 17:07:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I found this old bug.  It looks like it's been building consistently for
some time now, so I'm closing it.  Feel free to reopen if necessary.

Oleg Pykhalov <[email-masked]> writes:

> I've updated tome4 to 1.5.10 in 972b87b14ae54bacf2457a4d538c5495bec37176
> and I'm not sure whether the patch is necessary now.  I've found failed
> built of the previous version on Hydra, so maybe I'll spot a failure for
> the new version, too.
>
> Oleg.

--
Sarah

Subject: [PATCH 0/2] gnu: tome4: Add fix to getself.c.
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Cc: Oleg Pykhalov <[email-masked]>
Date: Sat, 10 Feb 2018 00:21:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I've noticed tome4 sometimes failes:

  - https://hydra.gnu.org/build/2488652
  - https://hydra.gnu.org/build/2329898

First patch is an attempt to fix a getself.c error.
Second patch replaces 'system*' with 'invoke' Guile functions.

Oleg Pykhalov (2):
  gnu: tome4: Add fix to getself.c.
  gnu: tome4: Replace system* with invoke.

 gnu/local.mk                                       |  1 +
 gnu/packages/games.scm                             | 14 ++++++-------
 .../patches/tome4-patch-src-getself-c.patch        | 24 ++++++++++++++++++++++
 3 files changed, 32 insertions(+), 7 deletions(-)
 create mode 100644 gnu/packages/patches/tome4-patch-src-getself-c.patch

-- 
2.15.1